org.springframework.cloud.dataflow.rest.resource

## Enum DeploymentStateResource

- java.lang.Object
- - java.lang.Enum<DeploymentStateResource>
  - - org.springframework.cloud.dataflow.rest.resource.DeploymentStateResource

- All Implemented Interfaces:
    Serializable, Comparable<DeploymentStateResource>

      public enum DeploymentStateResource
      extends Enum<DeploymentStateResource>

  Provides a typed enumeration of deployment statuses for Streams. Currently, this class is used more as a helper class, and is not serialized via the REST API as of now, this may change however with the next major release.
  Author:
    Gunnar Hillert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPLOYED`
    `DEPLOYING`
    `ERROR`
    `FAILED`
    `PARTIAL`
    `UNDEPLOYED`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeploymentStateResource` | `fromKey(String deploymentStateResourceKey)`
    `String` | `getDescription()`
    `String` | `getDisplayName()`
    `String` | `getKey()`
    `static DeploymentStateResource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeploymentStateResource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEPLOYING

          public static final DeploymentStateResource DEPLOYING

    - #### DEPLOYED

          public static final DeploymentStateResource DEPLOYED

    - #### UNDEPLOYED

          public static final DeploymentStateResource UNDEPLOYED

    - #### PARTIAL

          public static final DeploymentStateResource PARTIAL

    - #### FAILED

          public static final DeploymentStateResource FAILED

    - #### ERROR

          public static final DeploymentStateResource ERROR

    - #### UNKNOWN

          public static final DeploymentStateResource UNKNOWN

  - ### Method Detail

    - #### values

          public static DeploymentStateResource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeploymentStateResource c : DeploymentStateResource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeploymentStateResource valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromKey

          public static DeploymentStateResource fromKey(String deploymentStateResourceKey)

    - #### getKey

          public String getKey()

    - #### getDisplayName

          public String getDisplayName()

    - #### getDescription

          public String getDescription()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.